<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
	<TieredCompilationQuickJit>false</TieredCompilationQuickJit>
    <Nullable>enable</Nullable>
    <!--Avalonia doesen't support TrimMode=link currently,but we are working on that https://github.com/AvaloniaUI/Avalonia/issues/6892 -->
    <TrimMode>copyused</TrimMode>
    <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
    <DebugType>embedded</DebugType>
    <StartupObject>VeloeMinecraftLauncher.Program</StartupObject>
    <PlatformTarget>x64</PlatformTarget>
    <AssemblyVersion>1.3.2.27</AssemblyVersion>
    <FileVersion>1.3.2.27</FileVersion>
    <Configurations>Debug;Release</Configurations>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>NU1605</NoWarn>
    <Optimize>True</Optimize>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <NoWarn>NU1605</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <AvaloniaResource Include="Assets\**" />
    <None Remove=".gitignore" />
  </ItemGroup>
  <ItemGroup>
    <!--This helps with theme dll-s trimming.
	If you will publish your application in self-contained mode with p:PublishTrimmed=true and it will use Fluent theme Default theme will be trimmed from the output and vice versa.
	https://github.com/AvaloniaUI/Avalonia/issues/5593 -->
    <TrimmableAssembly Include="Avalonia.Themes.Fluent" />
    <TrimmableAssembly Include="Avalonia.Themes.Default" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Avalonia" Version="0.10.21" />
    <PackageReference Include="Avalonia.Controls.DataGrid" Version="0.10.21" />
    <PackageReference Include="Avalonia.Desktop" Version="0.10.21" />
    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="0.10.18" />
    <PackageReference Include="Avalonia.ReactiveUI" Version="0.10.21" />
    <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.9" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="7.0.0" />
    <PackageReference Include="ReactiveUI.Blazor" Version="18.4.1" />
    <PackageReference Include="ReactiveUI.Validation" Version="3.1.7" />
    <PackageReference Include="Serilog" Version="2.12.0" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
    <PackageReference Include="SerilogTraceListener" Version="3.2.0" />
    <PackageReference Include="System.Net.Http" Version="4.3.4" />
    <PackageReference Include="XamlNameReferenceGenerator" Version="1.5.1" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Views\MessageWindow.axaml.cs">
      <DependentUpon>MessageWindow.axaml</DependentUpon>
    </Compile>
  </ItemGroup>
</Project>
